## krename 5.0.2+git20250107.83b86fa

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(krename VERSION "5.0.60")

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.100.0")

set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(FeatureSummary)

option(BUILD_MODELSELFTEST "Build model self test." OFF)
add_feature_info(BUILD_MODELSELFTEST BUILD_MODELSELFTEST "Build model self test.")

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.5.0")
    set(KF_MIN_VERSION "6.0.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Widgets
    Qml
)
if (BUILD_MODELSELFTEST)
    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
endif()
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat REQUIRED)
endif()

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    CoreAddons
    Crash
    I18n
    IconThemes
    ItemViews
    JobWidgets
    KIO
    Service
    WidgetsAddons
    XmlGui
)

add_definitions(
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
)

# Find KArchive
find_package(KF${KF_MAJOR_VERSION}Archive)
set_package_properties(KF${KF_MAJOR_VERSION}Archive PROPERTIES
    PURPOSE "Needed for ODF plugin"
    TYPE OPTIONAL)

# Find taglib
set(TAGLIB_MIN_VERSION "1.5")
find_package(Taglib ${TAGLIB_MIN_VERSION})
set_package_properties(Taglib PROPERTIES
    TYPE OPTIONAL)

# Find exiv2
find_package(LibExiv2 0.27) # EXIV2_TEST_VERSION was added in 0.27
set_package_properties(LibExiv2 PROPERTIES TYPE OPTIONAL)

# Find podofo
find_package(PoDoFo)
set_package_properties(PoDoFo PROPERTIES TYPE OPTIONAL)

# Find freetype
find_package(Freetype)
set_package_properties(Freetype PROPERTIES
    DESCRIPTION "A library to access font metadata"
    URL "https://www.freetype.org"
    TYPE OPTIONAL)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.100
)

set(HAVE_TAGLIB ${TAGLIB_FOUND})
set(HAVE_EXIV2 ${LibExiv2_FOUND})
set(HAVE_PODOFO ${PoDoFo_FOUND})
set(HAVE_KARCHIVE ${KF${KF_MAJOR_VERSION}Archive_FOUND})
set(HAVE_FREETYPE ${FREETYPE_FOUND})
configure_file(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h)

# Directories

add_subdirectory(src)
add_subdirectory(autotests)

ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

include_directories(${CMAKE_SOURCE_DIR}/src)

find_package(Qt${QT_MAJOR_VERSION}Test)

ecm_add_test(
    krenamefiletest.cpp
    LINK_LIBRARIES
        libkrename
        Qt${QT_MAJOR_VERSION}::Test
    TEST_NAME krenamefiletest
)

ecm_add_test(
    tokentest.cpp
    LINK_LIBRARIES
        libkrename
        Qt${QT_MAJOR_VERSION}::Test
    TEST_NAME tokentest
)

=== src/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(servicemenus)

include_directories(${CMAKE_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
)

if(EXIV2_FOUND)
    include_directories(${EXIV2_INCLUDE_DIR})
endif()

if(FREETYPE_FOUND)
    include_directories(${FREETYPE_INCLUDE_DIRS})
endif()

# Exiv2 needs exceptions
kde_enable_exceptions()

########### next target ###############

set(krename_SRCS
    main.cpp
)

set(libkrename_SRCS
    batchrenamer.cpp
    customdialog.cpp
    datetimeplugin.cpp
    dirsortplugin.cpp
    exthistorycombo.cpp
    filedialogextwidget.cpp
    fileplugin.cpp
    increasecounterplugin.cpp
    krenamefile.cpp
    krenameimpl.cpp
    krenamelistview.cpp
    krenamemodel.cpp
    krenametest.cpp
    krenametokensorter.cpp
    krenamewindow.cpp
    numberdialog.cpp
    insertpartfilenamedlg.cpp
    threadedlister.cpp
    plugin.cpp
    pluginloader.cpp
    permissionsplugin.cpp
    previewlist.cpp
    progressdialog.cpp
    replacedialog.cpp
    richtextitemdelegate.cpp
    scriptplugin.cpp
    startupinfo.cpp
    systemplugin.cpp
    tokenhelpdialog.cpp
    tokensortmodedialog.cpp
    translitplugin.cpp
    snumplugin.cpp
)

if(LibExiv2_FOUND)
    set(libkrename_SRCS ${libkrename_SRCS}
        exiv2plugin.cpp
    )
endif()

if(TAGLIB_FOUND)
    set(libkrename_SRCS ${libkrename_SRCS}
        taglibplugin.cpp
    )
endif()

if(PoDoFo_FOUND)
    set(libkrename_SRCS ${libkrename_SRCS}
        podofoplugin.cpp
    )
endif()

if(FREETYPE_FOUND)
    set(libkrename_SRCS ${libkrename_SRCS}
        fontplugin.cpp
    )
endif()

if(KF${KF_MAJOR_VERSION}Archive_FOUND)
    set(libkrename_SRCS ${libkrename_SRCS}
        odfplugin.cpp
    )
endif()


ki18n_wrap_ui(libkrename_SRCS
    customfilenamedlg.ui
    datetimepluginwidget.ui
    dirsortpluginwidget.ui
    increasecounterpluginwidget.ui
    guimodeselector.ui
    partfilenamewidget.ui
    krenamefiles.ui
    krenamedestination.ui
    krenamefilename.ui
    krenameplugins.ui
    numberwidget.ui
    permissionspluginwidget.ui
    progressdialog.ui
    replacewidget.ui
    replaceitemdlg.ui
    scriptpluginwidget.ui
    scriptplugindialog.ui
    startupinfowidget.ui
    tokenhelpwidget.ui
    tokensortmodedialog.ui
)

add_library(libkrename STATIC ${libkrename_SRCS})
set_target_properties(libkrename PROPERTIES
    OUTPUT_NAME krename
)

target_link_libraries(libkrename
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::IconThemes
    KF${KF_MAJOR_VERSION}::XmlGui
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Qml
)
if (BUILD_MODELSELFTEST)
    set(BUILD_MODELSELFTEST_VALUE 1)
    target_link_libraries(libkrename
        Qt${QT_MAJOR_VERSION}::Test
    )
else()
    set(BUILD_MODELSELFTEST_VALUE 0)
endif()
set_source_files_properties(krenameimpl.cpp PROPERTIES
    COMPILE_DEFINITIONS "BUILD_MODELSELFTEST=${BUILD_MODELSELFTEST_VALUE}"
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(libkrename Qt6::Core5Compat)
endif()

if(TAGLIB_FOUND)
    target_link_libraries(libkrename
        Taglib::Taglib
    )
endif()
if(LibExiv2_FOUND)
    target_link_libraries(libkrename
        LibExiv2::LibExiv2
    )
endif()
if(PoDoFo_FOUND)
    target_link_libraries(libkrename
        PoDoFo::PoDoFo
    )
endif()
if(KF${KF_MAJOR_VERSION}Archive_FOUND)
    target_link_libraries(libkrename
        Qt${QT_MAJOR_VERSION}::Xml
        KF${KF_MAJOR_VERSION}::Archive
    )
endif()
if(FREETYPE_FOUND)
    target_link_libraries(libkrename
        ${FREETYPE_LIBRARIES}
    )
endif()

add_executable(krename ${krename_SRCS})
target_link_libraries(krename
    libkrename
)

# Others Files to install

install(TARGETS krename DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.krename.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krename.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/pics/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-apps-krename.png
        22-apps-krename.png
        32-apps-krename.png
        48-apps-krename.png
        128-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/servicemenus/CMakeLists.txt ===
install(FILES krename_all_nonrec.desktop krename_dir_rec.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libexiv2-dev (>= 0.27.0~),
               libfreetype-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6itemviews-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6service-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libpodofo-dev,
               libtag-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KRename
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen dh_auto_test

## krename 5.0.2+p24.04+vstable+git20250917.0023

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20250917.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:23:37 +0000

krename (5.0.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Sep 2022 07:37:02 +0000

krename (5.0.1-0neon) focal; urgency=medium

  [ Pino Toscano ]
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - remove --parallel for dh, as now done by default
  * Switch the transitional libfreetype6-dev build dependency to
    libfreetype-dev.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Backport upstream commits ec90823494f5ec9bb2e8098f44209f383ef8c22a, and
    b22de9135ba2a5abdbd2b275a60933a50f074010 to properly detect exiv2 >= 0.27,
    and build with it; patches
    upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch, and
    upstream_Fix-building-against-exiv2-0.27.patch.
    - add a lintian override for the spelling error in the upstream commit
      message

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 07:10:04 +0000

## krename 5.0.2+p24.04+vstable+git20251003.1115

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251003.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:15:58 +0000

## krename 5.0.2+p24.04+vstable+git20251016.2215

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(krename VERSION "5.0.60")
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.100.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
-set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -21,27 +21,17 @@
 option(BUILD_MODELSELFTEST "Build model self test." OFF)
 add_feature_info(BUILD_MODELSELFTEST BUILD_MODELSELFTEST "Build model self test.")
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_MIN_VERSION "6.5.0")
-    set(KF_MIN_VERSION "6.0.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
-
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Widgets
     Qml
+    Core5Compat
 )
 if (BUILD_MODELSELFTEST)
-    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
-endif()
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6Core5Compat REQUIRED)
+    find_package(Qt6Test REQUIRED)
 endif()
 
-find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Completion
     Config
     CoreAddons
@@ -63,8 +53,8 @@
 )
 
 # Find KArchive
-find_package(KF${KF_MAJOR_VERSION}Archive)
-set_package_properties(KF${KF_MAJOR_VERSION}Archive PROPERTIES
+find_package(KF6Archive)
+set_package_properties(KF6Archive PROPERTIES
     PURPOSE "Needed for ODF plugin"
     TYPE OPTIONAL)
 
@@ -99,7 +89,7 @@
 set(HAVE_TAGLIB ${TAGLIB_FOUND})
 set(HAVE_EXIV2 ${LibExiv2_FOUND})
 set(HAVE_PODOFO ${PoDoFo_FOUND})
-set(HAVE_KARCHIVE ${KF${KF_MAJOR_VERSION}Archive_FOUND})
+set(HAVE_KARCHIVE ${KF6Archive_FOUND})
 set(HAVE_FREETYPE ${FREETYPE_FOUND})
 configure_file(config-krename.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krename.h)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

include_directories(${CMAKE_SOURCE_DIR}/src)

find_package(Qt6Test)

ecm_add_test(
    krenamefiletest.cpp
    LINK_LIBRARIES
        libkrename
        Qt6::Test
    TEST_NAME krenamefiletest
)

ecm_add_test(
    tokentest.cpp
    LINK_LIBRARIES
        libkrename
        Qt6::Test
    TEST_NAME tokentest
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,7 @@
     )
 endif()
 
-if(KF${KF_MAJOR_VERSION}Archive_FOUND)
+if(KF6Archive_FOUND)
     set(libkrename_SRCS ${libkrename_SRCS}
         odfplugin.cpp
     )
@@ -118,19 +118,20 @@
 )
 
 target_link_libraries(libkrename
-    KF${KF_MAJOR_VERSION}::Crash
-    KF${KF_MAJOR_VERSION}::KIOCore
-    KF${KF_MAJOR_VERSION}::KIOFileWidgets
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::IconThemes
-    KF${KF_MAJOR_VERSION}::XmlGui
-    Qt${QT_MAJOR_VERSION}::Widgets
-    Qt${QT_MAJOR_VERSION}::Qml
+    KF6::Crash
+    KF6::KIOCore
+    KF6::KIOFileWidgets
+    KF6::I18n
+    KF6::IconThemes
+    KF6::XmlGui
+    Qt6::Widgets
+    Qt6::Qml
+    Qt6::Core5Compat
 )
 if (BUILD_MODELSELFTEST)
     set(BUILD_MODELSELFTEST_VALUE 1)
     target_link_libraries(libkrename
-        Qt${QT_MAJOR_VERSION}::Test
+        Qt6::Test
     )
 else()
     set(BUILD_MODELSELFTEST_VALUE 0)
@@ -138,9 +139,6 @@
 set_source_files_properties(krenameimpl.cpp PROPERTIES
     COMPILE_DEFINITIONS "BUILD_MODELSELFTEST=${BUILD_MODELSELFTEST_VALUE}"
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(libkrename Qt6::Core5Compat)
-endif()
 
 if(TAGLIB_FOUND)
     target_link_libraries(libkrename
@@ -157,10 +155,10 @@
         PoDoFo::PoDoFo
     )
 endif()
-if(KF${KF_MAJOR_VERSION}Archive_FOUND)
+if(KF6Archive_FOUND)
     target_link_libraries(libkrename
-        Qt${QT_MAJOR_VERSION}::Xml
-        KF${KF_MAJOR_VERSION}::Archive
+        Qt6::Xml
+        KF6::Archive
     )
 endif()
 if(FREETYPE_FOUND)

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251016.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:15:57 +0000

=== debian/control ===
Source: krename
Section: utils
Priority: optional
Uploaders: Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libexiv2-dev,
               libfreetype-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://userbase.kde.org/KRename
Vcs-Git: https://invent.kde.org/neon/extras/krename.git
Vcs-Browser: https://invent.kde.org/neon/extras/krename
Maintainer: Neon CI <neon@kde.org>

Package: krename
Architecture: any
Depends: kf6-kio, ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.

## krename 5.0.2+p24.04+vstable+git20251019.0349

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251019.0349-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:49:39 +0000

## krename 5.0.2+p24.04+vstable+git20251123.1505

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251123.1505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 15:05:14 +0000

## krename 5.0.2+p24.04+vstable+git20251127.0628

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251127.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 06:28:05 +0000

## krename 5.0.2+p24.04+vstable+git20260101.0019

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260101.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:19:41 +0000

## krename 5.0.2+p24.04+vstable+git20260105.0839

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260105.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:39:51 +0000

## krename 5.0.2+p24.04+vstable+git20260107.0748

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260107.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:48:36 +0000

## krename 5.0.2+p24.04+vstable+git20260122.0507

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260122.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:07:36 +0000

## krename 5.0.2+p24.04+vstable+git20260131.1328

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:21 +0000

## krename 5.0.2+p24.04+vunstable+git20251016.0025

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251016.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:25:03 +0000

## krename 5.0.2+p24.04+vunstable+git20251020.1248

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251020.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:48:38 +0000

## krename 5.0.2+p24.04+vunstable+git20251123.1214

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251123.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:14:47 +0000

## krename 5.0.2+p24.04+vunstable+git20251128.0748

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251128.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:48:33 +0000

## krename 5.0.2+p24.04+vunstable+git20260205.0739

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20260205.0739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:39:07 +0000
